Import buildroot 2016.02.01

This commit is contained in:
2016-02-24 22:35:39 +01:00
parent a6ee09dea4
commit 828befcf3c
7393 changed files with 390887 additions and 0 deletions

View File

@@ -0,0 +1,19 @@
Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com>
---
usbmount.rules | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
Index: b/usbmount.rules
===================================================================
--- a/usbmount.rules
+++ b/usbmount.rules
@@ -1,7 +1,7 @@
# Rules for USBmount -*- conf -*-
KERNEL=="sd*", DRIVERS=="sbp2", ACTION=="add", RUN+="/usr/share/usbmount/usbmount add"
-KERNEL=="sd*", SUBSYSTEMS=="usb", ACTION=="add", RUN+="/usr/share/usbmount/usbmount add"
-KERNEL=="ub*", SUBSYSTEMS=="usb", ACTION=="add", RUN+="/usr/share/usbmount/usbmount add"
+KERNEL=="sd*", SUBSYSTEM=="block", ACTION=="add", RUN+="/usr/share/usbmount/usbmount add"
+KERNEL=="ub*", SUBSYSTEM=="block", ACTION=="add", RUN+="/usr/share/usbmount/usbmount add"
KERNEL=="sd*", ACTION=="remove", RUN+="/usr/share/usbmount/usbmount remove"
KERNEL=="ub*", ACTION=="remove", RUN+="/usr/share/usbmount/usbmount remove"

View File

@@ -0,0 +1,71 @@
udev can provide all the values that usbmount determined using the
blkid binary. This patch drops use of blkid in favor of using the
environment variables set by udev. Thus it removes the dependency
on blkid from usbmount.
Signed-off-by: Sven Neumann <s.neumann@raumfeld.com>
--- usbmount-0.0.22/usbmount.orig 2013-06-18 14:44:40.143096147 +0200
+++ usbmount-0.0.22/usbmount 2013-06-19 16:13:09.882434896 +0200
@@ -59,11 +59,6 @@
exit 0
fi
-if [ ! -x /sbin/blkid ]; then
- log err "cannot execute /sbin/blkid"
- exit 1
-fi
-
# Per Policy 9.3.2, directories under /var/run have to be created
# after every reboot.
if [ ! -e /var/run/usbmount ]; then
@@ -83,15 +78,7 @@
trap '( lockfile-remove /var/run/usbmount/.mount )' 0
log debug "acquired lock /var/run/usbmount/.mount.lock"
- # Grab device information from device and "divide it"
- # FIXME: improvement: implement mounting by label (notice that labels
- # can contain spaces, which makes things a little bit less comfortable).
- DEVINFO=$(/sbin/blkid -p $DEVNAME)
- FSTYPE=$(echo "$DEVINFO" | sed 's/.*[[:blank:]]TYPE="\([^"]*\)".*/\1/g; s/[[:blank:]]*//g;')
- UUID=$(echo "$DEVINFO" | sed 's/.*[[:blank:]]UUID="\([^"]*\)".*/\1/g; s/[[:blank:]]*//g;')
- USAGE=$(echo "$DEVINFO" | sed 's/.*[[:blank:]]USAGE="\([^"]*\)".*/\1/g; s/[[:blank:]]*//g;')
-
- if ! echo $USAGE | egrep -q "(filesystem|disklabel)"; then
+ if ! echo $ID_FS_USAGE | egrep -q "(filesystem|disklabel)"; then
log info "$DEVNAME does not contain a filesystem or disklabel"
exit 1
fi
@@ -101,14 +88,14 @@
log info "executing command: mount $DEVNAME"
mount $DEVNAME || log err "mount by DEVNAME with $DEVNAME wasn't successful; return code $?"
- elif grep -q "^[[:blank:]]*UUID=$UUID" /etc/fstab; then
- log info "executing command: mount -U $UUID"
- mount -U $UUID || log err "mount by UUID with $UUID wasn't successful; return code $?"
+ elif grep -q "^[[:blank:]]*UUID=$ID_FS_UUID" /etc/fstab; then
+ log info "executing command: mount -U $ID_FS_UUID"
+ mount -U $ID_FS_UUID || log err "mount by UUID with $ID_FS_UUID wasn't successful; return code $?"
else
- log debug "$DEVNAME contains filesystem type $FSTYPE"
+ log debug "$DEVNAME contains filesystem type $ID_FS_TYPE"
- fstype=$FSTYPE
+ fstype=$ID_FS_TYPE
# Test if the filesystem type is in the list of filesystem
# types to mount.
if in_list "$fstype" "$FILESYSTEMS"; then
@@ -176,11 +163,13 @@
# Run hook scripts; ignore errors.
export UM_DEVICE="$DEVNAME"
+ export UM_UUID="$ID_FS_UUID"
export UM_MOUNTPOINT="$mountpoint"
export UM_FILESYSTEM="$fstype"
export UM_MOUNTOPTIONS="$options"
export UM_VENDOR="$vendor"
export UM_MODEL="$model"
+ export UM_LABEL="$ID_FS_LABEL"
log info "executing command: run-parts /etc/usbmount/mount.d"
run-parts /etc/usbmount/mount.d || :
else

View File

@@ -0,0 +1,12 @@
config BR2_PACKAGE_USBMOUNT
bool "usbmount"
depends on BR2_PACKAGE_HAS_UDEV
select BR2_PACKAGE_LOCKFILE_PROGS
help
The usbmount package automatically mounts USB mass storage devices
when they are plugged in, and unmounts them when they are removed.
http://usbmount.alioth.debian.org/
comment "usbmount requires udev to be enabled"
depends on !BR2_PACKAGE_HAS_UDEV

View File

@@ -0,0 +1,2 @@
# From http://snapshot.debian.org/archive/debian/20141023T043132Z/pool/main/u/usbmount/usbmount_0.0.22.dsc
sha256 a2b8581534b6c92f0376d202639dbc28862d3834dac64c35bde752f84975527d usbmount_0.0.22.tar.gz

View File

@@ -0,0 +1,28 @@
################################################################################
#
# usbmount
#
################################################################################
USBMOUNT_VERSION = 0.0.22
USBMOUNT_SOURCE = usbmount_$(USBMOUNT_VERSION).tar.gz
USBMOUNT_SITE = http://snapshot.debian.org/archive/debian/20141023T043132Z/pool/main/u/usbmount
USBMOUNT_DEPENDENCIES = udev lockfile-progs
USBMOUNT_LICENSE = BSD-2c
USBMOUNT_LICENSE_FILES = debian/copyright
define USBMOUNT_INSTALL_TARGET_CMDS
$(INSTALL) -m 0755 -D $(@D)/usbmount $(TARGET_DIR)/usr/share/usbmount/usbmount
$(INSTALL) -m 0755 -D $(@D)/00_create_model_symlink \
$(TARGET_DIR)/etc/usbmount/mount.d/00_create_model_symlink
$(INSTALL) -m 0755 -D $(@D)/00_remove_model_symlink \
$(TARGET_DIR)/etc/usbmount/umount.d/00_remove_model_symlink
$(INSTALL) -m 0644 -D $(@D)/usbmount.rules $(TARGET_DIR)/lib/udev/rules.d/usbmount.rules
$(INSTALL) -m 0644 -D $(@D)/usbmount.conf $(TARGET_DIR)/etc/usbmount/usbmount.conf
mkdir -p $(addprefix $(TARGET_DIR)/media/usb,0 1 2 3 4 5 6 7)
endef
$(eval $(generic-package))